
Redmine - Feature #10734

Search on Open or Closed Issues

2012-04-23 10:04 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

There is no way to limit my issue searches to either open or closed issues. Generally I know whether the issue I am looking for was

either something that was requested a long time ago but not actioned, or done a long time ago, but there is no way to specify that.

Being able to just search open or closed issues would greatly accelerate my searching and I search a lot!

Related issues:

Related to Redmine - Feature #3491: Filtering while searching for issues Closed 2009-06-13

Is duplicate of Redmine - Feature #992: Option to search open issues only Closed 2008-04-04

Associated revisions

Revision 13858 - 2015-01-10 11:09 - Jean-Philippe Lang

Option to search open issues only (#10734).

Revision 13877 - 2015-01-15 07:38 - Toshi MARUYAMA

generate i18n key (#10734)

History

#1 - 2013-04-14 02:53 - Filou Centrinov

Category: Search engine

#2 - 2013-04-14 08:19 - Toshi MARUYAMA

- Category set to Search engine

#3 - 2013-04-14 10:52 - Daniel Felix

Added relation to #992 and #3491.

#4 - 2014-01-19 13:28 - Arne P.

- File search_open_tickets_only.patch added

Enclosed you find a quick'n'dirty patch for the search_controller that filters out all non-open issues from the result list.

It works pretty well, but it does not handle the number of search results. The result count is still the same as when searching for open and non-open

issues, which might be confusing to users.

For a real solution this has to be done in the acts_as_searchable plugin.

This is for Version 1.4.7

#5 - 2014-03-04 08:19 - Arnis Juraga

Do You have plans to update and implement in any close future releases?

#6 - 2015-01-10 11:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed
https://www.redmine.org/issues/992
https://www.redmine.org/issues/3491


Feature added in r13858, you can search in open issues only.

#7 - 2015-01-10 11:13 - Jean-Philippe Lang

- Target version deleted (3.0.0)

- Resolution changed from Fixed to Duplicate

#8 - 2015-01-15 07:31 - Toshi MARUYAMA

- Related to deleted (Feature #992: Option to search open issues only)

#9 - 2015-01-15 07:31 - Toshi MARUYAMA

- Is duplicate of Feature #992: Option to search open issues only added

Files

search_open_tickets_only.patch 2.05 KB 2014-01-19 Arne P.
